#!/bin/sh
set -e
if [ `ps aux | grep mysqld.pid | grep -v grep | wc -l` -lt 1 ]; then
	service mysql start
	if [ $? -ne 0 ]; then
		exit 1;
	fi
fi
# create database and user
mysql --defaults-file=/etc/mysql/debian.cnf -e "CREATE DATABASE ragnarok;"
mysql --defaults-file=/etc/mysql/debian.cnf -e "CREATE USER 'ragnarok'@'localhost' IDENTIFIED BY 'ragnarok';"
mysql --defaults-file=/etc/mysql/debian.cnf -e "GRANT SELECT,INSERT,UPDATE,DELETE ON \`ragnarok\`.* TO 'ragnarok'@'localhost';"
cd /opt/rAthena/sql-files
for files in `ls *.sql`
do
	mysql --defaults-file=/etc/mysql/debian.cnf ragnarok < $files
done

